## org.flexdock.view.actions
Class ActionFactory

    java.lang.Object
      org.flexdock.view.actions.ActionFactory

    public class ActionFactory

extends java.lang.Object

Constructor Summary
`ActionFactory()`

Method Summary
`static DefaultCloseAction` `createCloseAction()`
`static DefaultDisplayAction` `createDisplayAction()`
`static DefaultPinAction` `createPinAction()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionFactory

    public ActionFactory()

Method Detail

### createCloseAction

    public static DefaultCloseAction createCloseAction()

### createDisplayAction

    public static DefaultDisplayAction createDisplayAction()

### createPinAction

    public static DefaultPinAction createPinAction()